Zum Inhalt springen

Überblick

  • Version: 2.0
  • Servers: https://api.xsolla.com/merchant/v2/

Diese API-Referenz beschreibt Endpunkte für die Verwaltung von Abonnements, Gutscheinen und Werbeaktionen. Weitere Informationen über Subscriptions finden Sie in der Produktanleitung und in der Begriffserläuterung.

OpenAPI-Beschreibung herunterladen
Sprachen
Server
Mock server
https://xsolla.redocly.app/_mock/de/api/subscriptions/
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen

Anfrage

Sicherheit
projectUserJwtAuth
Pfad
project_idinteger\d+erforderlich
Abfrage
plan_idArray of integers
plan_external_idArray of strings
limitinteger
offsetinteger
localestring
countrystring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/de/api/subscriptions/api/user/v1/projects/{project_id}/plans?plan_id=0&plan_external_id=string&limit=0&offset=0&locale=string&country=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Antworten

Subscription's default plans

Bodyapplication/json
has_morebooleanerforderlich
Beispiel: "false"
itemsArray of objects
Standard []
items[].​chargeobjecterforderlich
items[].​charge.​amountnumber(float)erforderlich
Beispiel: 4.99
items[].​charge.​currencystringerforderlich
Beispiel: "USD"
items[].​charge.​setup_feenumber(float)erforderlich
Beispiel: 0.99
items[].​periodobjecterforderlich
items[].​period.​unitstring or null
Standard null
Beispiel: "month"
items[].​period.​valueinteger or null
Standard null
Beispiel: "1"
items[].​plan_descriptionstringerforderlich
Beispiel: "Localized plan description"
items[].​plan_end_datestring or null(date-time)
Beispiel: "2031-04-11T13:51:02+03:00"
items[].​plan_external_idstringerforderlich
Beispiel: "PlanExternalId"
items[].​plan_group_idstring or null
Beispiel: "TestGroupId"
items[].​plan_idintegererforderlich
Beispiel: "54321"
items[].​plan_namestringerforderlich
Beispiel: "Localized plan name"
items[].​plan_start_datestring or null(date-time)
Beispiel: "2021-04-11T13:51:02+03:00"
items[].​plan_typestringerforderlich
Beispiel: "all"
items[].​promotionobjecterforderlich
items[].​promotion.​promotion_charge_amountnumber or null(float)
Standard null
Beispiel: "3.99"
items[].​promotion.​promotion_remaining_chargesinteger or null
Standard null
Beispiel: "3"
items[].​trial_periodinteger or null
Beispiel: "7"
Antwort
application/json
{ "has_more": "false", "items": [] }

Anfrage

Sicherheit
projectUserJwtAuth
Pfad
project_idinteger\d+erforderlich
Abfrage
limitinteger
offsetinteger
localestring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/de/api/subscriptions/api/user/v1/projects/{project_id}/products?limit=0&offset=0&locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Antworten

Subscription's products

Bodyapplication/json
has_morebooleanerforderlich
Beispiel: false
itemsArray of objects
Standard []
items[].​product_descriptionstring or null
Beispiel: "Localized product description"
items[].​product_external_idstring or null
Beispiel: "ProductExternalId"
items[].​product_group_idstring or null
Beispiel: "TestGroupId"
items[].​product_idintegererforderlich
Beispiel: "12345"
items[].​product_namestringerforderlich
Beispiel: "Product name"
Antwort
application/json
{ "has_more": false, "items": [] }

Anfrage

Sicherheit
projectUserJwtAuth
Pfad
project_idinteger\d+erforderlich
productIdstringerforderlich
Abfrage
plan_idArray of integers
plan_external_idArray of strings
limitinteger
offsetinteger
localestring
countrystring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/de/api/subscriptions/api/user/v1/projects/{project_id}/products/{productId}/plans?plan_id=0&plan_external_id=string&limit=0&offset=0&locale=string&country=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Antworten

Subscription's plans by product

Bodyapplication/json
has_morebooleanerforderlich
Beispiel: "false"
itemsArray of objects
Standard []
items[].​chargeobjecterforderlich
items[].​charge.​amountnumber(float)erforderlich
Beispiel: 4.99
items[].​charge.​currencystringerforderlich
Beispiel: "USD"
items[].​charge.​setup_feenumber(float)erforderlich
Beispiel: 0.99
items[].​periodobjecterforderlich
items[].​period.​unitstring or null
Standard null
Beispiel: "month"
items[].​period.​valueinteger or null
Standard null
Beispiel: "1"
items[].​plan_descriptionstringerforderlich
Beispiel: "Localized plan description"
items[].​plan_end_datestring or null(date-time)
Beispiel: "2031-04-11T13:51:02+03:00"
items[].​plan_external_idstringerforderlich
Beispiel: "PlanExternalId"
items[].​plan_group_idstring or null
Beispiel: "TestGroupId"
items[].​plan_idintegererforderlich
Beispiel: "54321"
items[].​plan_namestringerforderlich
Beispiel: "Localized plan name"
items[].​plan_start_datestring or null(date-time)
Beispiel: "2021-04-11T13:51:02+03:00"
items[].​plan_typestringerforderlich
Beispiel: "all"
items[].​promotionobjecterforderlich
items[].​promotion.​promotion_charge_amountnumber or null(float)
Standard null
Beispiel: "3.99"
items[].​promotion.​promotion_remaining_chargesinteger or null
Standard null
Beispiel: "3"
items[].​trial_periodinteger or null
Beispiel: "7"
Antwort
application/json
{ "has_more": "false", "items": [] }
Operationen
Operationen
Operationen